cancel
Showing results for 
Search instead for 
Did you mean: 

Install Red Box error "processing Graph Application Neo4j Etl Ui. Cannot resolve graph app type."

new2neo
Node Link

I have tried on two different computers to install Neo4j. I downloaded the 1.4.15 EXE and ran it. All went fine, but on both computers it fails with this red box error message (see screen shot).

The installation started the Movies project. Initially the Neo4j Desktop did not show the red box, but then just doing nothing and letting the installation complete, the red box pops up and tells me there is an error "processing Graph Application Neo4j Etl Ui. Cannot resolve graph app type." I have no idea what it is talking about since this is a brand new install.

It says to check the internet connection (which is fine and not at all the problem) or to look in one of the log files for the answer. Being that I am just getting started, I have no clue what to look for nor where to look. So, I am dead in the water trying to do an initial installation (same result on two different computers) with no idea what the problem is nor how to fix it.

15 REPLIES 15

glilienfield
Ninja
Ninja

what do the logs say?  It referenced them in the red box.

There are a bunch of logs. Which one should I look at? I tried to attach the log file, but it only allows image files. Here is the first mention of error ...

[2022-08-26 07:42:59.805] [info] Reading bundled resources C:\Program Files\Neo4j Desktop\resources
[2022-08-26 07:43:01.997] [info] Distribution folder for neo4j should exist
[2022-08-26 07:43:03.616] [info] Will copy []
[2022-08-26 07:43:03.619] [info] Reading bundled resources C:\Program Files\Neo4j Desktop\resources
[2022-08-26 07:43:03.628] [info] Distribution folder for graphApps should exist
[2022-08-26 07:43:03.636] [warn] Failed to read installed 'neo4j-browser', will replace with bundled distribution Error: Graph-App[neo4j-browser] does not contain package.json
at c (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:55736)
at async d (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:42923)
at async C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:81886
at async Promise.all (index 1)
at async w (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:81755)
at async C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:83669
at async t.default (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:83953)
at async App.<anonymous> (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:230777)
[2022-08-26 07:43:03.639] [warn] Failed to read installed 'neo4j-bloom', will replace with bundled distribution Error: Graph-App[neo4j-bloom] does not contain package.json
at c (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:55736)
at async d (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:42923)
at async C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:81886
at async Promise.all (index 0)
at async w (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:81755)
at async C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:83669
at async t.default (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:83953)
at async App.<anonymous> (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:230777)
[2022-08-26 07:43:03.640] [info] Will copy [ 'neo4j-bloom-2.1.1.tar.gz', 'neo4j-browser-4.4.3.tar.gz' ]
[2022-08-26 07:43:03.744] [info] Copying C:\Program Files\Neo4j Desktop\resources\offline\plugins to C:\Users\zorro\AppData\Local\Neo4j\Relate\Cache\plugin

And here is the next error...

[2022-08-26 07:43:04.459] [info] Stopping any running DBMSs
[2022-08-26 07:43:04.461] [warn] C:\Users\zorro\.Neo4jDesktop\neo4jDatabases not found
[2022-08-26 07:43:04.463] [info] Registering listener for protocolManager/arguments/changed
[2022-08-26 07:43:04.479] [info] Opening main window
[2022-08-26 07:43:04.538] [error] Protocol Manager type error: url must be string. url = undefined
[2022-08-26 07:43:04.667] [info] Registering IPC listeners

And the next ... 

[2022-08-26 07:44:43.766] [warn] Failed to parse manifest file for Graph-App[neo4j-bloom]. Error: Graph-App[neo4j-bloom] does not contain manifest.json
at t.getManifest (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:54864)
at async y.resolveConfig (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:63744)
at async M (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:45476)
at async Promise.all (index 1)
at async L.getGraphApps (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:48240)
[2022-08-26 07:44:44.878] [info] Graph Apps: Removing installed but not configured []
[2022-08-26 07:44:44.882] [warn] Failed to parse manifest file for Graph-App[neo4j-bloom]. Error: Graph-App[neo4j-bloom] does not contain manifest.json
at t.getManifest (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:54864)
at async y.resolveConfig (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:63744)
at async M (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:45476)
at async Promise.all (index 1)
at async L.getGraphApps (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:48593)
[2022-08-26 07:44:45.466] [info] Download closed
[2022-08-26 07:44:45.534] [warn] ERROR: {"error":"Fetch status [404]","url":"https://npm-registry.neo4j.org/neo4j-etl-ui"}

And the next ...

[2022-08-26 07:45:05.215] [info] Online check response: 200 version: 1.4.15
file
[2022-08-26 07:45:35.427] [info] GraphApp[neo4j-bloom] version: 2.4.0 update Decompressing...
[2022-08-26 07:45:35.431] [warn] Failed to parse manifest file for Graph-App[neo4j-bloom]. Error: Graph-App[neo4j-bloom] does not contain manifest.json
at t.getManifest (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:54864)

And the next ...

[2022-08-26 08:04:01.271] [warn] Failed to parse manifest file for Graph-App[neo4j-bloom]. Error: Graph-App[neo4j-bloom] does not contain manifest.json
at t.getManifest (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:54864)
at async y.resolveConfig (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:63744)
at async y.downloadUpdate (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:68359)
[2022-08-26 08:04:01.272] [warn] update version: 2.4.0 already downloaded for neo4j-bloom

And the next ...

[2022-08-26 08:11:50.022] [error] Online check error: {
name: 'TimeoutError',
message: 'Promise timed out after 5000 milliseconds',
stack: 'TimeoutError: Promise timed out after 5000 milliseconds\n' +
' at Timeout._onTimeout (C:\\Program Files\\Neo4j Desktop\\resources\\app.asar\\node_modules\\p-timeout\\index.js:27:54)\n' +
' at listOnTimeout (internal/timers.js:554:17)\n' +
' at processTimers (internal/timers.js:497:7)'
}
[2022-08-26 08:11:50.023] [info] Online check request: http://dist.neo4j.org/neo4j-desktop/win/latest.yml
[2022-08-26 08:11:55.039] [error] Online check error: {
name: 'TimeoutError',
message: 'Promise timed out after 5000 milliseconds',
stack: 'TimeoutError: Promise timed out after 5000 milliseconds\n' +
' at Timeout._onTimeout (C:\\Program Files\\Neo4j Desktop\\resources\\app.asar\\node_modules\\p-timeout\\index.js:27:54)\n' +
' at listOnTimeout (internal/timers.js:554:17)\n' +
' at processTimers (internal/timers.js:497:7)'

And the next ...

[2022-08-26 08:24:01.181] [warn] Failed to parse manifest file for Graph-App[neo4j-bloom]. Error: Graph-App[neo4j-bloom] does not contain manifest.json
at t.getManifest (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:54864)
at async y.resolveConfig (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:63744)
at async y.downloadUpdate (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:68359)
[2022-08-26 08:24:01.182] [warn] update version: 2.4.0 already downloaded for neo4j-bloom

And the next  ...

[2022-08-26 08:44:00.624] [warn] update version: 4.4.6 already downloaded for neo4j-browser
[2022-08-26 08:44:01.140] [info] Graph App[neo4j-bloom-id]: Checking 2.4.0 for suitable desktop API version
[2022-08-26 08:44:01.140] [info] Graph App[neo4j-bloom-id]: Version 2.4.0 satisfied. { desktopApiVersion: '1.4.0', packageDesktopApiVersion: '^1.4.0' }
[2022-08-26 08:44:01.143] [warn] Failed to parse manifest file for Graph-App[neo4j-bloom]. Error: Graph-App[neo4j-bloom] does not contain manifest.json
at t.getManifest (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:54864)
at async y.resolveConfig (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:63744)
at async y.downloadUpdate (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:68359)
[2022-08-26 08:44:01.143] [warn] update version: 2.4.0 already downloaded for neo4j-bloom
[2022-08-26 08:44:25.375] [info] Online check request: https://dist.neo4j.org/neo4j-desktop/win/latest.yml

And the next ...

[2022-08-26 09:04:01.201] [warn] Failed to parse manifest file for Graph-App[neo4j-bloom]. Error: Graph-App[neo4j-bloom] does not contain manifest.json
at t.getManifest (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:54864)
at async y.resolveConfig (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:63744)
at async y.downloadUpdate (C:\Program Files\Neo4j Desktop\resources\app.asar\dist\main.prod.js:1:68359)
[2022-08-26 09:04:01.201] [warn] update version: 2.4.0 already downloaded for neo4j-bloom

new2neo
Node Link

Looking at the errors and trying to figure out -- in complete ignorance of what is under the hood in Neo4j -- this first error seems to me to be saying that there is something missing that is supposed to be there.


[2022-08-26 07:43:03.636] [warn] Failed to read installed 'neo4j-browser', will replace with bundled distribution Error: Graph-App[neo4j-browser] does not contain package.json

I have no idea what package.json is, but the message is saying it expects it and is not finding it in the installation bundle. I have no control over what is in the installation bundle. So, I see this as something the developers have to address.

That is a real mess. I know of two uses of a package.json file, a node.js app and an angular app. Maybe you have a corrupted installer. Maybe try deleting your installer and downloading it again. Sorry I am not much help. 

I already tried that. The current installer EXE for 1.4.15 and the one I downloaded 3 days ago both result in the same problem.

 

Do the developers read these posts? How do I alert the developers that this problem is happening?

 

It looks like the community board is only useful for community help and is not looked at by the developers. I am dead in the water trying to install the 1.4.15 EXE file, and all the effort of posting the logs here to pinpoint the problem have brought no help.

 

I am real sorry.  I know there are Neo4j staff that participate on this forum. Helpfully someone will step up to help you. 

new2neo
Node Link

Adding insult to injury, after all these days with no real help, I received an e-mail from the system saying "Did you get the answer you needed?" and "Did it solve your problem? Click here to view the replies and mark one as an Accepted Solution. This helps others find helpful answers in the community too!" I was glad to be asked the questions, but I was disappointed to discover that there was no way to answer "No".

 

Hello @new2neo 

I apologize for the issues you have been having with installing the product. I am currently investigating this for you and either myself or another Neo4j member will respond with some more information on how to proceed.
Thank you for your patience!

TrevorS
Community Specialist

The issue here is that we changed where we host our Graph Apps from jfrog to to npm. Unfortunately the ETL plugin was missed and hasn't been published to npm yet. We are looking into it and hopefully it will be fixed this week.

I published it now to NPM and it should work again. Please try and let us know.

Sorry for the problems. Michael

I'm using Maven and cannot get the neo4j driver 4.4.11.

4.4.9 is as recent as I can go.  Can this be fixed?

<dependency>
<groupId>org.neo4j.driver</groupId>
<artifactId>neo4j-java-driver</artifactId>
<version>4.4.9</version>
</dependency>

Hello, when trying to install Neuler to my Neo4j Desktop, i'm still redirected to my.jfrog, using  https://neo.jfrog.io/neo/api/npm/npm/neuler from NEuler: No-code graph algorithms - Developer Guides (neo4j.com) any news on this ?

new2neo
Node Link

It installs now without the red box. Thanks.

Nodes 2022
Nodes
NODES 2022, Neo4j Online Education Summit

On November 16 and 17 for 24 hours across all timezones, you’ll learn about best practices for beginners and experts alike.